Bug 469377 - cumin listens on localhost only, on service cumin start
cumin listens on localhost only, on service cumin start
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Justin Ross
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 11:08 EDT by Matthew Farrellee
Modified: 2010-10-22 06:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 06:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-10-31 11:08:59 EDT
cumin init script starts cumin listening to localhost only
Comment 1 Matthew Farrellee 2008-10-31 11:44:49 EDT
# rpm -q cumin
cumin-0.1.2690-1.el5
Comment 2 Justin Ross 2008-11-09 23:40:04 EST
This is perhaps notabug.  We chose this as the default behavior after our initial security audit, and on the advice of the security folks.  I think perhaps we should treat this as a documentation issue and tell folks they will have to take the extra step and add "addr: someaddress" to their cumin.conf to make it available over the network.
Comment 3 Matthew Farrellee 2008-11-10 16:02:20 EST
Maybe this is an issue of cumin and mint being run together? Seems sensible that mint would be run only accepting connections from localhost, but it seems cumin should be configured to allow external connections by default unless it is intended to be deployed on user systems.
Comment 4 Justin Ross 2008-11-10 16:42:02 EST
Well, it is deployed on user systems quite often, as a UI for visualizing broker and grid state and for doing wiring, etc.

That's the thing, the management console is for big deployments and for evaluators.  I think the current default is a lot safer.
Comment 5 Matthew Farrellee 2010-09-15 17:56:26 EDT
cumin-0.1.4279-1.el5.noarch provides a means to make cumin-web bind to non-localhost, and independently of cumin-data (mint).

Note You need to log in before you can comment on or make changes to this bug.